/*
 * Copyright (c) Smals
 */
package be.ehealth.business.test.common.util;

import be.ehealth.business.common.util.EidUtils;
import org.junit.Assert;
import org.junit.Test;

import be.ehealth.business.common.domain.Patient;
import be.fgov.ehealth.technicalconnector.tests.utils.AssumeTools;


/**
 * tests the {@link EidUtils} class.
 * 
 * @author EHP
 * 
 */
public class EidUtilsUserIntegrationTest {

    @Test
    public void testReadingFromEidCard() throws Exception {
        AssumeTools.isEIDEnabled();
        Patient patient = EidUtils.readFromEidCard();
        Assert.assertNotNull(patient.getEidCardNumber());
        Assert.assertNotNull(patient.getFirstName());
        Assert.assertNotNull(patient.getInss());
        Assert.assertNotNull(patient.getLastName());
        Assert.assertNotNull(patient.getMiddleName());
    }

}
